MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032294Open CASCADE[OCCT] OCCT:Codingpublic2021-04-10 11:542021-04-17 14:02
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032294: Coding Rules - merge GCPnts_QuasiUniformAbscissa.pxx into GCPnts_QuasiUniformAbscissa.cxx
DescriptionGCPnts_QuasiUniformAbscissa is implemented using generic methods in GCPnts_QuasiUniformAbscissa.pxx.
It is proposed replacing generic methods via C++ templates.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0100219)
git (administrator)
2021-04-10 11:55

Branch CR32294 has been created by kgv.

SHA-1: dd0dc69037380837b6a56ba266d98ae9b15b218d


Detailed log of new commits:

Author: kgv
Date: Sat Apr 10 11:55:28 2021 +0300

    0032294: Coding Rules - merge GCPnts_QuasiUniformAbscissa.pxx into GCPnts_QuasiUniformAbscissa.cxx
(0100235)
msv (developer)
2021-04-12 12:04
edited on: 2021-04-12 12:04

Please correct the class description, change
//! The distribution is defined:
//! -   either by the curvilinear distance between two consecutive points
//! -   or by a number of points.

to
//! The distribution is defined by a number of points.


(0100236)
git (administrator)
2021-04-12 13:09

Branch CR32294 has been updated forcibly by kgv.

SHA-1: 0ec5fb5c3c496a7cf6125c4e14267ee21687f54c
(0100237)
git (administrator)
2021-04-12 13:11

Branch CR32294 has been updated by kgv.

SHA-1: c7c7d491e63127f43a6efc57225fd77444af099e


Detailed log of new commits:

Author: kgv
Date: Mon Apr 12 13:11:43 2021 +0300

    # 0032294: correct class description

(0100238)
kgv (developer)
2021-04-12 13:11

> Please correct the class description, change
Pushed.
(0100254)
msv (developer)
2021-04-12 19:37

(0100258)
git (administrator)
2021-04-12 23:16

Branch CR32294_1 has been created by kgv.

SHA-1: de8a63e98eb46982d602a5d844f777790a48a491


Detailed log of new commits:

Author: kgv
Date: Sat Apr 10 11:55:28 2021 +0300

    0032294: Coding Rules - merge GCPnts_QuasiUniformAbscissa.pxx into GCPnts_QuasiUniformAbscissa.cxx
(0100264)
kgv (developer)
2021-04-12 23:21

Please raise the patch
- OCCT: branch CR32294_1.
(0100382)
bugmaster (administrator)
2021-04-17 13:07

Combination -
OCCT branch : IR-2021-04-16
master SHA - 1294d5e39ed35dc97b2241956855fe794a03b0d8
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-16 SHA - 03c3cb382950144b11c09108f24673216c4e5922
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17987.850000000446 / 18020.24000000038 [-0.18%]
Products
Total CPU difference: 11564.760000000093 / 11543.43000000007 [+0.18%]
Windows-64-VC14:
OCCT
Total CPU difference: 19496.34375 / 19510.890625 [-0.07%]
Products
Total CPU difference: 12932.890625 / 12891.265625 [+0.32%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100409)
git (administrator)
2021-04-17 14:02

Branch CR32294_1 has been deleted by inv.

SHA-1: de8a63e98eb46982d602a5d844f777790a48a491
(0100410)
git (administrator)
2021-04-17 14:02

Branch CR32294 has been deleted by inv.

SHA-1: c7c7d491e63127f43a6efc57225fd77444af099e

- Related Changesets
occt: master de8a63e9
Timestamp: 2021-04-10 08:55:28
Author: kgv
Details ] Diff ]
0032294: Coding Rules - merge GCPnts_QuasiUniformAbscissa.pxx into GCPnts_QuasiUniformAbscissa.cxx
mod - src/GCPnts/FILES Diff ] File ]
mod - src/GCPnts/GCPnts_QuasiUniformAbscissa.cxx Diff ] File ]
mod - src/GCPnts/GCPnts_QuasiUniformAbscissa.hxx Diff ] File ]
rm - src/GCPnts/GCPnts_QuasiUniformAbscissa.pxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-04-10 11:54 kgv New Issue
2021-04-10 11:54 kgv Assigned To => kgv
2021-04-10 11:55 git Note Added: 0100219
2021-04-12 12:04 msv Note Added: 0100235
2021-04-12 12:04 msv Note Edited: 0100235 View Revisions
2021-04-12 13:09 git Note Added: 0100236
2021-04-12 13:11 git Note Added: 0100237
2021-04-12 13:11 kgv Note Added: 0100238
2021-04-12 19:37 msv Note Added: 0100254
2021-04-12 23:16 git Note Added: 0100258
2021-04-12 23:21 kgv Note Added: 0100264
2021-04-12 23:21 kgv Assigned To kgv => bugmaster
2021-04-12 23:21 kgv Status new => resolved
2021-04-12 23:21 kgv Status resolved => reviewed
2021-04-17 13:07 bugmaster Note Added: 0100382
2021-04-17 13:07 bugmaster Status reviewed => tested
2021-04-17 13:11 bugmaster Test case number => Not required
2021-04-17 13:41 kgv Changeset attached => occt master de8a63e9
2021-04-17 13:41 kgv Assigned To bugmaster => kgv
2021-04-17 13:41 kgv Status tested => verified
2021-04-17 13:41 kgv Resolution open => fixed
2021-04-17 14:02 git Note Added: 0100409
2021-04-17 14:02 git Note Added: 0100410


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker